org.apache.ignite.ml.composition.boosting.convergence.mean

## Class MeanAbsValueConvergenceChecker<K,V>

- java.lang.Object
- - org.apache.ignite.ml.composition.boosting.convergence.ConvergenceChecker<K,V>
  - - org.apache.ignite.ml.composition.boosting.convergence.mean.MeanAbsValueConvergenceChecker<K,V>

- Type Parameters:
    `K` - Type of a key in upstream data.
    `V` - Type of a value in upstream data.
  All Implemented Interfaces:
    Serializable

      public class MeanAbsValueConvergenceChecker<K,V>
      extends ConvergenceChecker<K,V>

  Use mean value of errors for estimating error on dataset.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeanAbsValueConvergenceChecker(long sampleSize, IgniteFunction<Double,Double> externalLbToInternalMapping, Loss loss, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> preprocessor, double precision)` Creates an instance of MeanAbsValueConvergenceChecker.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Double` | `computeMeanErrorOnDataset(Dataset<EmptyContext,? extends FeatureMatrixWithLabelsOnHeapData> dataset, ModelsComposition mdl)` Compute error for given model on learning dataset.

    - ### Methods inherited from class org.apache.ignite.ml.composition.boosting.convergence.ConvergenceChecker

      `computeError, isConverged, isConverged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MeanAbsValueConvergenceChecker

          public MeanAbsValueConvergenceChecker(long sampleSize,
                                                IgniteFunction<Double,Double> externalLbToInternalMapping,
                                                Loss loss,
                                                DatasetBuilder<K,V> datasetBuilder,
                                                Preprocessor<K,V> preprocessor,
                                                double precision)

      Creates an instance of MeanAbsValueConvergenceChecker.
      Parameters:
        `sampleSize` - Sample size.
        `externalLbToInternalMapping` - External label to internal mapping.
        `loss` - Loss.
        `datasetBuilder` - Dataset builder.
        `preprocessor` - Upstream vectorizer.

  - ### Method Detail

    - #### computeMeanErrorOnDataset

          public Double computeMeanErrorOnDataset(Dataset<EmptyContext,? extends FeatureMatrixWithLabelsOnHeapData> dataset,
                                                  ModelsComposition mdl)

      Compute error for given model on learning dataset.
      Specified by:
        `computeMeanErrorOnDataset` in class `ConvergenceChecker<K,V>`
      Parameters:
        `dataset` - Learning dataset.
        `mdl` - Model.
      Returns:
        Error mean value.

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023